← Tabeller
Ryd

Scotland

Women's West Region League Division 3

#HoldPWDLPDBPPtsForm
1Carrick RFC3201–311WWL
2East Kilbride RFC2200–210WW
3Paisley RFC3102–26LLW
4Whitecraigs Rugby Club3102–45LLW
5Mid Argyll RFC1001–00L

Kilde: Scottish Rugby · tjekket 14. okt., 16.52 · Form: de seneste fem resultater, vi har, nyeste til højre.

Kampe og resultater →

Hver tabel er ligaens egen offentliggjorte stilling med bonuspoint, fradrag og placeringsregler. BP vises, hvor ligaen offentliggør det; ellers er det allerede med i Pts.